.TH HGET 1 "February  5, 2006"
.SH NAME
hget \- multithreaded web downloader based on HarvestMan
.SH DESCRIPTION
usage:  hget [options] URL(s) | file(s)
.PP
Hget is a multithreaded web downloader based on HarvestMan. It can be
considered as wget on steroids, and can be used as a download manager
to perform HTTP downloads in pieces from the web. It can perform HTTP
Multipart downloading, mirror search and download, HTTP resuming,
failover and has built-in support for sourceforge.net mirrors.
.PP
The program accepts URL(s) or an input file(s) containing a number of URLs,
one per line. If a file is passed as input, any other program option
passed is applied for every URL downloaded using the file.
.SS "options:"
.TP
\fB\-h\fR, \fB\-\-help\fR
show this help message and exit
.TP
\fB\-v\fR, \fB\-\-version\fR
Print version information and exit
.TP
\fB\-V\fR, \fB\-\-verbose\fR
Be verbose
.TP
\fB\-s\fR, \fB\-\-single\fR
Single thread mode. If enabled, won't attempt to do
multithreaded downloads using byte\-range headers
.TP
\fB\-r\fR, \fB\-\-noresume\fR
If set, will not try to resume partial downloads
.TP
\fB\-X\fR PROXYSERVER, \fB\-\-proxy\fR=\fIPROXYSERVER\fR
Enable and set proxy to PROXYSERVER (host:port)
.TP
\fB\-U\fR USERNAME, \fB\-\-proxyuser\fR=\fIUSERNAME\fR
Set username for proxy server to USERNAME
.TP
\fB\-W\fR PASSWORD, \fB\-\-proxypass\fR=\fIPASSWORD\fR
Set password for proxy server to PASSWORD
.TP
\fB\-u\fR USERNAME, \fB\-\-username\fR=\fIUSERNAME\fR
Use username USERNAME for HTTP (basic) authentication
.TP
\fB\-p\fR PASSWORD, \fB\-\-passwd\fR=\fIPASSWORD\fR
Use password PASSWORD for HTTP (basic) authentication
.TP
\fB\-P\fR NUMPARTS, \fB\-\-numparts\fR=\fINUMPARTS\fR
Force\-split download into <NUMPARTS> parts (max 10)
.TP
\fB\-m\fR, \fB\-\-inmem\fR
Keep data in memory instead of flushing to disk
(Warning: use with care as this might exhaust memory
for huge file downloads!)
.TP
\fB\-n\fR, \fB\-\-notemp\fR
Use current directory instead of system temp directory
for saving intermediate files
.TP
\fB\-f\fR MIRRORFILE, \fB\-\-mirrorfile\fR=\fIMIRRORFILE\fR
Load mirror information for the URL(s) from MIRRORFILE
(The file must contain a list of valid mirrors for the
URL, one per line)
.TP
\fB\-M\fR, \fB\-\-mirrorsearch\fR
Search for the file in file mirror sites and download
file in multipart if mirrors are found (use with \fB\-P\fR
option)
.TP
\fB\-i\fR RELPATHINDEX, \fB\-\-relpathidx\fR=\fIRELPATHINDEX\fR
When loading mirrors, use the given index to calculate
the relative path of the original URL (If given, the
relative path of the original URL will be offset by
this value)
.TP
\fB\-N\fR, \fB\-\-norelpath\fR
When loading mirrors, do not compute mirror URLs using
relative\-path (Instead just appends the filename to
the mirror URL)
.TP
\fB\-o\fR FILE, \fB\-\-output\fR=\fIFILE\fR
Save document to FILE
.TP
\fB\-d\fR DIRECTORY, \fB\-\-outputdir\fR=\fIDIRECTORY\fR
Save document to directory
.SH "SEE ALSO"
.BR harvestman (1)
.br
.SH AUTHOR
Hget and HarvestMxan was written by Anand Pillai
<anandpillai@letterboxes.org>. For latest information, visit \fIhttp://harvestmanontheweb.com\fP
.PP
This manual page was written by Kumar Appaiah <akumar@ee.iitm.ac.in>,
for the Debian project (but may be used by others).
